using EonaCat.LogStack.Core;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

namespace EonaCat.LogStack.Boosters
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public sealed class OSBooster : BoosterBase
    {
        private static readonly string OSDesc = RuntimeInformation.OSDescription;

        public OSBooster() : base("OS") { }

        [System.Runtime.CompilerServices.MethodImpl(MethodImplOptions.AggressiveInlining)]
        public override bool Boost(ref LogEventBuilder builder)
        {
            builder.WithProperty("OS", OSDesc);
            return true;
        }
    }
}
